<?xml version="1.0"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="./base/base.xsl" />
<xsl:import href="page_general.xsl" />
<xsl:import href="./content/topic.xsl" />
<xsl:import href="./content/sitemap.xsl" />

<xsl:output method="html" encoding="utf-8" standalone="yes" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" indent="yes" omit-xml-declaration="yes" /> 

<xsl:param name="PAGE_THEME_PATH" />
<xsl:param name="PAGE_WEB_PATH" />
<xsl:param name="PAGE_TITLE" />

<xsl:template name="content_area">
  <xsl:variable name="module" select="content/topic/@module"/>
  <xsl:choose>
    <xsl:when test="$module = 'content_sitemap'">
      <xsl:call-template name="content_sitemap"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="content_default"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="cssfiles">
  <link rel="stylesheet" type="text/css" href="{$PAGE_THEME_PATH}style_sitemap.css"/>
</xsl:template>

</xsl:stylesheet>