<?php
/**
* page module - URL-forwarding
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: content_url.php,v 1.2 2006/01/24 19:26:50 schnitzler Exp $
*/

/**
* Basic class page module
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_content.php');
/**
* Basic class check conditions
*/
require_once(PAPAYA_INCLUDE_PATH.'system/sys_checkit.php');
/**
* page module - URL-forwarding
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class content_url extends base_content {
  var $cacheable = FALSE;

  var $editFields = array(
    'url'=>array ('URL', 'isNoHTML', TRUE, 'pageid', 800, 'Please input a relative or an absolute URL.')
  );

  /**
  * Redirect to URL
  *
  * @access public
  */
  function getParsedData() {
    if (isset($this->data['url']) && trim($this->data['url']) != '' && $this->data['url'] != $this->topicObj->topicId) {
      $href = $this->getAbsoluteURL($this->data['url']);
      $GLOBALS['PAPAYA_PAGE']->sendHTTPStatus(301);
      @header("Location: ".$href);
      printf ('<html><head><meta http-equiv="refresh" content="0; URL=%s"></head></html>',$href);
      exit;
    }
  }
}

?>