<?php
/**
* Time calculation - time specified
*
* @package module_time
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: time_datetime.php,v 1.1.1.1 2005/09/30 15:51:06 weinert Exp $
*/

/**
* Basic class time calculation
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_crontime.php');
/**
* Time calculation - time specified
*
* @package module_time
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class time_datetime extends base_crontime {

  var $editFields = array(
    'date'=>array ('Date', 'isISODate', FALSE, 'input', 30, 'ISO date - 2002-09-19'),
    'time'=>array ('Time', 'isTime', FALSE, 'input', 30, 'hour:minutes - 18:13'),
  );

  /**
  * Get next date time
  *
  * @param integer $from
  * @access public
  * @return integer
  */
  function getNextDateTime($from) {
    $date = explode('-', $this->data['date']);
    $time = explode(':', $this->data['time']);
    $result = mktime($time[0], $time[1], 0, $date[1], $date[2], $date[0]);
    return (($result > time()) ? $result : 0);
  }

}
?>
