<?php
/**
* Action box - monthly calendar
*
* @package module_calendar
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: actbox_calendar.php,v 1.3 2006/04/26 10:28:59 weinert Exp $
*/

/**
* Basic class action box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_actionbox.php');
/**
* Action box - monthly claendar
*
* @author Thomas Weinert <weinert@papaya-cms.com>
* @package module_calendar
*/
class actionbox_calendar extends base_actionbox {

  /**
  * Previw possible
  * @var boolean
  */
  var $preview = TRUE;

  var $editFields = array(
    'file'=>array ('Link target', 'isNoHTML', TRUE, 'input', 100, ''),
    'month'=>array ('Months to add', 'isNum', FALSE, 'input', 3, ''),
    'day'=>array ('Days to add', 'isNum', FALSE, 'input', 3, ''),
  );

  /**
  * Get parsed data - page xml
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    include_once(dirname(__FILE__)."/papaya_calendar.php");
    $calendar = &new papaya_calendar;
    $calendar->initialize();
    $calendar->execute();

    $calendar->baseLink = $this->getAbsoluteURL(@$this->data['file']);

    if (!isset($calendar->params['date'])) {
      $sDate = $calendar->parseDateToArray(time());
      $calendar->selectedDate = $calendar->parseDateToArray(mktime(0,0,0,
        $sDate['month'] += (int)@$this->data['month'],
        $sDate['day'] += (int)@$this->data['day'],
        $sDate['year']));
    } else {
      $sDate = $calendar->selectedDate;
    }
    $str = $calendar->showMonthTable();
    return $str;
  }
}
?>