<?php
/**
* nderungsmodul Linkverwaltung
*
* @package module_linkdb
* @author Wilhelm Faber <faber@dimensional.de>
* @version $Id: edmodule_linkdb.php,v 1.0 2004/11/9
*/

/**
* Basisklasse nderungsmodule
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* nderungsmodul Link Database
*
* @author Wilhelm Faber <faber@dimensional.de>
* @package module_linkdb
*/
class edmodule_linkdb extends base_module {

  /**
  * permissions
  * @var array
  */
  var $permissions = array(
    1 => 'Manage',
  );


  /**
  * Function for execute module
  *
  * @access public
  */
  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      $path = dirname(__FILE__);
      include_once($path.'/admin_linkdb.php');
      $linkDatabase = &new admin_linkdb;
      $linkDatabase->module = &$this;
      $linkDatabase->images = &$this->images;
      $linkDatabase->msgs = &$this->msgs;
      $linkDatabase->layout = &$this->layout;
      $linkDatabase->authUser = &$this->authUser;

      $linkDatabase->initialize();
      $linkDatabase->execute();
      $linkDatabase->getXML();
    }
  }
}
?>