<?php
/**
* Cronjob-module updates pagerating summary (caching)
*
* @package module_pagerating
* @author David Rekowski <rekowski@papaya-cms.com>
* @version $Id: cronjob_pagerating.php,v 1.1 2005/11/24 15:41:52 rekowski Exp $
*/

/**
* Basic class Cronjobs
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_cronjob.php');

/**
* Cronjob-module updates pagerating summary (caching)
*
* @package module_pagerating
* @author David Rekowski <rekowski@papaya-cms.com>
*/
class cronjob_pagerating extends base_cronjob {

  var $editFields = array(
    'test' => array('test', 'isSomeText', FALSE, 'input', 100)
  );

  function execute() {
    include_once(dirname(__FILE__)."/base_pagerating.php");
    $pageratingObj = &new base_pagerating;
    if ($pageratingObj->loadStatisticData()) {
      return 0;
    } else {
      return 'Statistic Data could not be updated.';
    }
  }

  function checkExecParams() {
    return TRUE;
  }

}