<?php
/**
* Admin page page ranking
*
* @package module_pageranking
* @author Bodo Grassmann <grassmann@dimensional.de>
* @version $Id: edmodule_linkdb.php,v 1.0 2004/11/9
*/

/**
* base class modules
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* Admin page page ranking
*
* @author Bodo Grassmann <grassmann@dimensional.de>
* @package module_pageranking
*/
class edmodule_pagerating extends base_module {

  /**
  * permissions
  * @var array
  */
  var $permissions = array(
    1 => 'Manage',
  );


  /**
  * Function for execute module
  *
  * @access public
  */
  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      $path = dirname(__FILE__);
      include_once($path.'/admin_pagerating.php');
      $catalogDatabase = &new admin_pagerating;
      $catalogDatabase->module = &$this;
      $catalogDatabase->images = &$this->images;
      $catalogDatabase->msgs = &$this->msgs;
      $catalogDatabase->layout = &$this->layout;
      $catalogDatabase->authUser = &$this->authUser;

      $catalogDatabase->initialize();
      $catalogDatabase->execute();
      $catalogDatabase->getXML();
    }
  }
}
?>