<?php
/**
* nderungsmodul Polls
*
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: edmodule_poll.php,v 1.1.1.1 2005/09/30 15:51:07 weinert Exp $
* @package module_poll
*/

/**
* Basisklasse nderungsmodule
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');
/**
* nderungsmodul Polls
*
* @author Thomas Weinert <weinert@papaya-cms.com>
* @package module_poll
*/

class edmodule_poll extends base_module {
  var $guid = "5602b2b497326580a691512b924fc131";
  var $module = 'poll';
  var $fileName = "edmodule_poll.php";
  var $title = "Poll";
  var $description = "Poll Management";

  var $glyph = 'poll.gif';

  var $permissions = array(
    1 => 'Manage',
    2 => 'Edit Categories',
  );


  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      $path = dirname(__FILE__);
      include_once($path.'/base_poll.php');
      $poll = &new base_poll;
      $poll->module = &$this;
      $poll->images = &$this->images;
      $poll->msgs = &$this->msgs;
      $poll->layout = &$this->layout;
      $poll->authUser = &$this->authUser;

      // parameter etc einlesen
      $poll->initialize();
      // aus init verarbeiten
      $poll->execute();
      // daten ausgeben keine datenbankaktionen
      $poll->getXML();
    }
  }
}

?>