<?php
/**
* Quiz administration module
*
* @package module_quiz
* @author Bodo Grassmann <grassmann@dimensional.de>
* @version $Id: edmodule_linkdb.php,v 1.0 2004/11/9
*/

/**
* base class modules
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* Quiz administration module
*
* @author Bodo Grassmann <grassmann@dimensional.de>
* @package module_quiz
*/
class edmodule_quiz extends base_module {

  /**
  * permissions
  * @var array
  */
  var $permissions = array(
    1 => 'Manage',
  );


  /**
  * Function for execute module
  *
  * @access public
  */
  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      $path = dirname(__FILE__);
      include_once($path.'/admin_quiz.php');
      $quiz = &new admin_quiz;
      $quiz->module = &$this;
      $quiz->images = &$this->images;
      $quiz->msgs = &$this->msgs;
      $quiz->layout = &$this->layout;
      $quiz->authUser = &$this->authUser;

      $quiz->initialize();
      $quiz->execute();
      $quiz->getXML();
    }
  }
}
?>