<?php
/**
* Create base navigagtion for papaya admin area
*
* @author Thomas Weinert <weinert@papaya-cms.com>
* @package papaya
* @version $Id: papaya_navigation.php,v 1.7 2005/12/08 09:51:21 kalla Exp $
*/


/**
* Basic class base_nav
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_navigation.php');
/**
* Create base navigagtion for papaya admin area
*
* @author Thomas Weinert <weinert@papaya-cms.com>
* @package papaya
*/
class papaya_navigation extends base_navigation {
  var $menu = array(
    'main' => array (
      array('Overview', 'Topics / Messages / Todos', 'desktop.gif', 0, 'overview.php', '_self', FALSE),
      array('Sitemap', 'All pages in a tree', 'tree.gif', 0, 'tree.php', '_self', FALSE, 'T'),
      array('Pages', 'Edit pages', 'textfile.gif', 0, 'topic.php', '_self', FALSE, 'E'),
      array('-'),
      array('Aliases', 'Aliases for pages', 'alias.gif', 16, 'alias.php', '_self'),
      array('Boxes', 'Edit boxes', 'boxes.gif', 13, 'boxes.php', '_self'),
      array('Views', 'Configure Views', 'viewfile.gif', 6, 'views.php', '_self'),
      array('Images', 'Configure Dynamic Images', 'imagegenerate.gif', 0, 'imggen.php', '_self'),
      array('-'),
      array('Users', 'User management', 'users.gif', 4, 'auth.php', '_self'),
      array('Modules', 'Modules management', 'filewheel.gif', 30, 'modules.php', '_self'),
      array('Cronjobs', '', 'alarmclock.gif', 32, 'cronjobs.php', '_self'),
      array('Configuration', 'System conficuration', 'options.gif', 25, 'options.php', '_self'),
      array('Protocol', 'Event protocol', 'log.gif', 31, 'log.php', '_self'),
      array('-'),
      array('Translations', 'Interface Translations', 'world.gif', 36, 'phrases.php', '_self')
    ),
    'modules' => array (
      array('Image browser', 'Image browser', 'imagefile.gif', 28, 'imgbrw.php', 'papayaimagebrowser', FALSE, 'I'),
      array('MediaDB', 'Multimedia database', 'mediadb.gif', 15, 'imglib.php', '_self', FALSE, 'M'),
      array('-'),
    )
  );

  function initialize() {
    $this->getEditModules();
    $this->setGroup($this->menu, basename($_SERVER['SCRIPT_FILENAME']));
  }

  /**
  * Get edit modules
  *
  * @access public
  */
  function getEditModules() {
    include_once(PAPAYA_INCLUDE_PATH.'system/papaya_editmodules.php');
    $obj = &new papaya_editmodules(@(string)$_GET['p_module']);
    $obj->authUser = &$this->authUser;
    $obj->loadModulesList();
    $modules = $obj->getButtonArray();
    if (isset($modules) && is_array($modules)) {
      $this->menu['modules'] = array_merge($this->menu['modules'],$modules);
    }
  }
}


?>