<?php
/**
* Mediafile browser
* @module papaya-admin
* @author Alexander Christmann <christmann@datenwelt.net>
* @version $Id: mediafilebrw.php,v 1.1 2006/04/26 10:41:44 christmann Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");


if ($PAPAYA_SHOW_ADMIN_PAGE && $PAPAYA_USER->hasPerm(28)) {
  include_once(PAPAYA_INCLUDE_PATH.'system/papaya_fileman.php');

  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Mediafile browser'));

  $fileManager = &new papaya_filemanager;
  $fileManager->dataDirectory = PAPAYA_PATH_MEDIAFILES;
  $fileManager->thumbnailDirectory = PAPAYA_PATH_THUMBFILES;

  $fileManager->msgs = &$PAPAYA_MSG;
  $fileManager->authUser = &$PAPAYA_USER;
  $fileManager->images = &$PAPAYA_IMAGES;
  $fileManager->layout = &$PAPAYA_LAYOUT;

  $fileManager->initialize();
  $fileManager->executeBrowser();
  $fileManager->getThumbview();

} else {
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', 'Mediafile browser');
  $PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
}
echo $PAPAYA_LAYOUT->xhtml();

?>