<?php
/**
* Modules managment
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: modules.php,v 1.1.1.1 2005/09/30 15:51:03 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

/**
* moduels manager
*/
include_once(PAPAYA_INCLUDE_PATH.'system/papaya_modulemanager.php');

if ($PAPAYA_SHOW_ADMIN_PAGE && ($PAPAYA_USER->hasPerm(25))) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Modules management'));

  $modules = &new papaya_modulemanager();
  $modules->layout = &$PAPAYA_LAYOUT;
  $modules->images = &$PAPAYA_IMAGES;
  $modules->msgs = &$PAPAYA_MSG;
  $modules->authUser = &$PAPAYA_USER;

  $modules->initialize('mods');

  $modules->execute();
  $modules->getXML();
}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();
?>