<?php
/**
* Translation managment (Admin UI)
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: phrases.php,v 1.1.1.1 2005/09/30 15:51:03 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE && ($PAPAYA_USER->hasPerm(36))) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Languages'));

  include_once(PAPAYA_INCLUDE_PATH.'system/base_languages.php');

  $languageEditor = &new base_languages();
  $languageEditor->layout = &$PAPAYA_LAYOUT;
  $languageEditor->images = &$PAPAYA_IMAGES;
  $languageEditor->msgs = &$PAPAYA_MSG;
  $languageEditor->authUser = &$PAPAYA_USER;

  $languageEditor->initialize();
  $languageEditor->execute();

  $languageEditor->getXML();
}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();
?>