window.onload = function() {
  oEditor.FCKLanguageManager.TranslatePage(document);
  
  window.parent.AddTab('Image', oEditor.FCKLang.DlgPapayaImage);
  window.parent.AddTab('Link', oEditor.FCKLang.DlgPapayaLink);
  
  window.parent.SetAutoSize(true);
  window.parent.SetOkButton(true);
  
  loadSelection();
}

function loadSelection() {
  if (aPapayaTag) {
    aEditData.src = aPapayaTag.attr.src
    aEditData.align = aPapayaTag.attr.align;
    aEditData.resizeMode = checkResizeMode(aPapayaTag.attr.resize);
    aEditData.orgWidth = stringToInteger(aPapayaTag.attr.dyn_orgwidth, 0);
    aEditData.orgHeight = stringToInteger(aPapayaTag.attr.dyn_orgheight, 0);
    
    aEditData.mediaType = stringToInteger(aPapayaTag.attr.dyn_type, 0);
    
    GetE('editMarginLeft').value = stringToInteger(aPapayaTag.attr.lspace, 0);
    GetE('editMarginRight').value = stringToInteger(aPapayaTag.attr.rspace, 0);
    GetE('editMarginTop').value = stringToInteger(aPapayaTag.attr.tspace, 0);
    GetE('editMarginBottom').value = stringToInteger(aPapayaTag.attr.bspace, 0);
    GetE('editSizeWidth').value = stringToInteger(aPapayaTag.attr.width, 0);
    GetE('editSizeHeight').value = stringToInteger(aPapayaTag.attr.height, 0);
        
    if (aPapayaTag.attr.alt) {
      GetE('editText').value = aPapayaTag.attr.alt;
    }
    if (aPapayaTag.attr.subtitle) {
      GetE('editSubTitle').value = aPapayaTag.attr.subtitle;
    }
    
    if (aPapayaTag.attr.topic && stringToInteger(aPapayaTag.attr.topic, 0) > 0) {
      GetE('selLinkType').value = 'pageid';
      GetE('editPage').value = '#'+stringToInteger(aPapayaTag.attr.topic, 0);
    } else if (aPapayaTag.attr.href && aPapayaTag.attr.href != '') {
      if (aPapayaTag.attr.href.substr(0, 7) == 'mailto:') {
        var oEmailData = oEmailParser.ParseEMailUrl(linkValue);
        GetE('editEmail').value = oEmailData.Address;
        GetE('editEmailSubject').value = oEmailData.Subject;
        GetE('selLinkType').value = 'email';
      } else {
        GetE('editURL').value = aPapayaTag.attr.href;
        GetE('selLinkType').value = 'url';
      }
    } else if (aPapayaTag.attr.popup && aPapayaTag.attr.popup != '') {
      GetE('selLinkType').value = 'popup';
      GetE('editPopupName').value = aPapayaTag.attr.popup;
    }
    OnLinkTypeChange(GetE('selLinkType').value);
    
	  calcProportions();
    showPreview();
  } else {
    GetE('editMarginLeft').value = 0;
    GetE('editMarginRight').value = 0;
    GetE('editMarginTop').value = 0;
    GetE('editMarginBottom').value = 0;
    GetE('editSizeWidth').value = 0;
    GetE('editSizeHeight').value = 0;
  }
  showAlign();
  showResize();
}

function Ok() {
  if (aEditData.src) {
    if (!aPapayaTag) {
      aPapayaTag = new Array();
      aPapayaTag.attr = new Array();
    }    
    aPapayaTag.tagname = 'media';
    
    switch (GetE('selLinkType').value) {
      case 'pageid' :
        var pageId = 0;
        var oMatch = null;
        if (oMatch = GetE('editPage').value.match(/^\#(\d+)(\s+\(([^\)]+))?/)) {
          pageId = stringToInteger(oMatch[1], 0);
        }
        if (pageId <= 0) {
          alert('Invalid page id - not linked.');
          return false;
        }
      
        aPapayaTag.attr.topic = pageId;
        aPapayaTag.attr.href = null;
        aPapayaTag.attr.popup = null;
        break;
      case 'url' :
        aPapayaTag.attr.topic = null;
        aPapayaTag.attr.href = GetE('editURL').value;
        aPapayaTag.attr.popup = null;
        break;
      case 'email' :
        aPapayaTag.attr.topic = null;      
        aPapayaTag.attr.attr.href = oEmailParser.CreateEMailUri(GetE('editEmail').value,
          GetE('editEmailSubject').value, '');
        aPapayaTag.attr.popup = null;
        break;
      case 'popup' :
        aPapayaTag.attr.topic = null;
        aPapayaTag.attr.href = null;
        aPapayaTag.attr.popup = GetE('editPopupName').value;
        break;
      default :
        aPapayaTag.attr.topic = null;
        aPapayaTag.attr.href = null;
        aPapayaTag.attr.popup = null;
    }   
    
    aPapayaTag.attr.src = aEditData.src;
    aPapayaTag.attr.align = aEditData.align;
    aPapayaTag.attr.resize = checkResizeMode(aEditData.resizeMode);
    var iNewWidth = stringToInteger(GetE('editSizeWidth').value, 0);
    var iNewHeight = stringToInteger(GetE('editSizeHeight').value, 0);
    if (iNewWidth > 0 && iNewHeight > 0) {
      aPapayaTag.attr.width = iNewWidth;
      aPapayaTag.attr.height = iNewHeight;
    } else {
      aPapayaTag.attr.width = null;
      aPapayaTag.attr.height = null;
    }
    aPapayaTag.attr.lspace = stringToInteger(GetE('editMarginLeft').value, 0);
    aPapayaTag.attr.rspace = stringToInteger(GetE('editMarginRight').value, 0);
    aPapayaTag.attr.tspace = stringToInteger(GetE('editMarginTop').value, 0);
    aPapayaTag.attr.bspace = stringToInteger(GetE('editMarginBottom').value, 0);
    
    aPapayaTag.attr.alt = (GetE('editText').value) ? GetE('editText').value : null;
    aPapayaTag.attr.subtitle = GetE('editSubTitle').value ? GetE('editSubTitle').value : null;
    
    aPapayaTag.attr.dyn_src = '../../../../index.media.'+aPapayaTag.attr.src+'.preview';
    aPapayaTag.attr.dyn_type = stringToInteger(aEditData.mediaType, 0);    
    aPapayaTag.attr.dyn_orgwidth = stringToInteger(aEditData.orgWidth, 0);
    aPapayaTag.attr.dyn_orgheight = stringToInteger(aEditData.orgHeight, 0);
    
    FCK.LinkedField.oPapayaParser.setTag(FCK.LinkedField.id, aPapayaTag);
    FCK.LinkedField.oPapayaParser.calcSizeData(aPapayaTag);
    FCK.LinkedField.oPapayaParser.createHTML(aPapayaTag);
  }
  
  if (!oImage) {
    oImage = FCK.CreateElement('IMG');
  } 
  
  if (oImage) {
    oImage.setAttribute('id', aPapayaTag.id);
    oImage.setAttribute('src', aPapayaTag.attr.dyn_src);
    oImage.setAttribute('width', aPapayaTag.attr.dyn_width);
    oImage.setAttribute('height', aPapayaTag.attr.dyn_height);
    oImage.setAttribute('style', FCK.LinkedField.oPapayaParser.createCSS(aPapayaTag));
  }
  return true;
}

function OnDialogTabChange( tabCode )
{
	ShowE('divImage', (tabCode == 'Image'));
	ShowE('divLink', (tabCode == 'Link'));
}

function OnLinkTypeChange(linkType) {  
  switch (linkType) {
    case 'popup' :
      //email link
      ShowE('divLinkModeURL', false);
      ShowE('divLinkModePage', false);
      ShowE('divLinkModeEmail', false);
      ShowE('divLinkModePopup', true);
      break;
    case 'email' :
      //email link
      ShowE('divLinkModeURL', false);
      ShowE('divLinkModePage', false);
      ShowE('divLinkModeEmail', true);
      ShowE('divLinkModePopup', false);
      break;
    case 'pageid' :
      //internal page id link
      ShowE('divLinkModeURL', false);
      ShowE('divLinkModePage', true);
      ShowE('divLinkModeEmail', false);
      ShowE('divLinkModePopup', false);
      break;
    case 'url' :
      //internal page id link
      ShowE('divLinkModeURL', true);
      ShowE('divLinkModePage', false);
      ShowE('divLinkModeEmail', false);
      ShowE('divLinkModePopup', false);
      break;
    default :
      //url 
      ShowE('divLinkModeURL', false);
      ShowE('divLinkModePage', false);
      ShowE('divLinkModeEmail'), false;
      ShowE('divLinkModePopup', false);
  }  
}

function OnChangeWidth() {
  if (bProtectProportions) {
    var iWidth = parseInt(GetE('editSizeWidth').value);
	if (isNaN(iWidth)) {
	  GetE('editSizeHeight').value = 0;
	} else {
	  GetE('editSizeHeight').value = Math.round(iWidth * fProportionsHeight);
	}
  }
}

function OnChangeHeight() {
  if (bProtectProportions) {
    var iHeight = parseInt(GetE('editSizeHeight').value);
	if (isNaN(iHeight) || iHeight <= 0) {
	  GetE('editSizeWidth').value = 0;
	} else {
	  GetE('editSizeWidth').value = Math.round(iHeight * fProportionsWidth);
	}    
  }
}

function flashTreenodeClick(node_id, node_caption) {
  var page_id = node_id;
  var page_title = unescape(node_caption);
  GetE('editPage').value = '#'+page_id+' ('+page_title+')';
  GetE('selLinkType').value = 'pageid';
  OnLinkTypeChange('pageid');
}

function showAlign() {
  var sImageAlignMiddle = 'images/image_middle.gif';
  var sImageAlignLeft = 'images/image_left.gif';
  var sImageAlignCenter = 'images/image_center.gif';
  var sImageAlignRight = 'images/image_right.gif';
  switch (aEditData.align) {
    case 'left' :
      sImageAlignLeft = 'images/image_left_sel.gif';
      break;
    case 'center' :
      sImageAlignCenter = 'images/image_center_sel.gif';
      break;
    case 'right' :
      sImageAlignRight = 'images/image_right_sel.gif';
      break;
    default :
      sImageAlignMiddle = 'images/image_middle_sel.gif';
  }
  GetE('imageAlignMiddle').src = sImageAlignMiddle;
  GetE('imageAlignLeft').src = sImageAlignLeft;
  GetE('imageAlignCenter').src = sImageAlignCenter;
  GetE('imageAlignRight').src = sImageAlignRight;
}

function selectAlign(sNewAlign) {
  if ((sNewAlign == 'left') || (sNewAlign == 'center') || (sNewAlign == 'right')) {
    aEditData.align = sNewAlign;
  } else {
    aEditData.align = 'middle';    
  }
  showAlign();
}

function showResize() {
  var sImageResizeMax = 'images/size_max.gif';
  var sImageResizeAbs = 'images/size_abs.gif';
  var sImageResizeMin = 'images/size_min.gif';
  var sImageResizeMinCrop = 'images/size_mincrop.gif';
  switch (aEditData.resizeMode) {
    case 'abs' :
      sImageResizeAbs = 'images/size_abs_sel.gif';
      break;
    case 'min' :
      sImageResizeMin = 'images/size_min_sel.gif';
      break
    case 'mincrop' :
      sImageResizeMinCrop = 'images/size_mincrop_sel.gif';
      break;
    default :
      sImageResizeMax = 'images/size_max_sel.gif';
  }
  GetE('imageSizeMax').src = sImageResizeMax;
  GetE('imageSizeAbs').src = sImageResizeAbs;
  GetE('imageSizeMin').src = sImageResizeMin;
  GetE('imageSizeMinCrop').src = sImageResizeMinCrop;
}

function selectResize(sNewResize) {
  aEditData.resizeMode = checkResizeMode(sNewResize);
  showResize();
  showProtectProportions();
}

function checkResizeMode(mode) {
  switch (mode) {
  case 'abs' : 
  case 'min' : 
  case 'mincrop' : 
    return mode;
  case 'max' : 
    return 'max';     
  }
}

function showProtectProportions() {
  GetE('imageProtectProportions').src = (bProtectProportions) 
    ? 'images/size_linked_on.gif' 
	  : 'images/size_linked_off.gif';
}

function switchProtectProportions() {
  if (fProportionsWidth > 0 && fProportionsHeight > 0) {
    bProtectProportions = (bProtectProportions) ? false : true;
    showProtectProportions();
  }
}

function calcProportions() {
  if (isNaN(aEditData.orgWidth) || isNaN(aEditData.orgHeight) || aEditData.orgWidth <= 0 || aEditData.orgHeight <= 0) {
    bProtectProportions = false;
	  fProportionsWidth = 0;
	  fProportionsHeight = 0;
  } else {
    bProtectProportions = true;    
	  fProportionsWidth = aEditData.orgWidth / aEditData.orgHeight;
	  fProportionsHeight = aEditData.orgHeight / aEditData.orgWidth;
  }
  showProtectProportions();
}

function getOriginalSize() {
  if (aPapayaTag) {
    GetE('editSizeWidth').value = aEditData.orgWidth;
    GetE('editSizeHeight').value = aEditData.orgHeight;
  }
}

function showPreview() {
  var oIFrame = GetE('iframePreview');
  if (!oIFrame) {
    oIFrame = document.createElement('iframe');
    oIFrame.id = 'iframePreview';
    oIFrame.className = 'iframePreview';
    oIFrame.setAttribute('frameborder', '0');
    oIFrame.setAttribute('scrolling', 'no');
    GetE('divPreview').appendChild(oIFrame);
  }
  if (oIFrame) {
    oIFrame.src = '../../../../../imgbrw.php?fm[part]=preview&fm[mid]='+aEditData.src;
  }
}

function selectImage() {

	// Set the browser window feature.
	var iWidth	= Math.round(screen.width * 0.7);
	var iHeight	= Math.round(screen.height * 0.7);

	var iLeft = Math.round((screen.width  - iWidth) / 2);
	var iTop  = Math.round((screen.height - iHeight) / 2);

	var sOptions = "toolbar=no,status=no,resizable=yes,dependent=yes" ;
	sOptions += ",width=" + iWidth ;
	sOptions += ",height=" + iHeight ;
	sOptions += ",left=" + iLeft ;
	sOptions += ",top=" + iTop ;

	var oWindow = window.open('browseimg.html', 'FCKPapayaBrowseWindow', sOptions);
}

function setImageData(imageId, imageWidth, imageHeight, imageType) {
  aEditData.src = imageId;      
  aEditData.orgWidth = stringToInteger(imageWidth, 0);
  aEditData.orgHeight = stringToInteger(imageHeight, 0);
  
  
  var iWidth = stringToInteger(GetE('editSizeWidth').value, 0);
  var iHeight = stringToInteger(GetE('editSizeHeight').value, 0);
  
  if (iWidth == 0 || iHeight == 0 || (iWidth == aEditData.orgWidth && iHeight == aEditData.orgHeight)) {
    GetE('editSizeWidth').value = imageWidth;
    GetE('editSizeHeight').value = imageHeight;
  }
  
  aEditData.mediaType = imageType;
  
  
  calcProportions();
  showPreview();
}

var oEditor = window.parent.InnerDialogLoaded();
var FCK		= oEditor.FCK;

var oImage = FCK.Selection.GetSelectedElement( 'IMG' );
var aPapayaTag = null;

var aEditData = new Array();
aEditData.align = 'middle';
aEditData.resizeMode = 'max';
aEditData.src = null;

var bProtectProportions = false;
var fProportionsWidth = 0;
var fProportionsHeight = 0;

if (oImage) {
  aPapayaTag = FCK.LinkedField.oPapayaParser.getTag(FCK.LinkedField.id, oImage.id);
}