<?php
/**
* Calendat content HTML
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
* @version $Id: evtbox_html.php,v 1.2 2006/01/12 17:23:10 weinert Exp $
*/

/**
* Basic class event box
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_eventbox.php');
/**
* Calendat content HTML
*
* @package module_default
* @author Thomas Weinert <weinert@papaya-cms.com>
*/
class eventbox_html extends base_eventbox {
  var $editFields = array(
    'text'=>array ('Text', 'isSomeText', FALSE, 'textarea', 30)
  );

  /**
  * Get parsed data
  *
  * @access public
  * @return string
  */
  function getParsedData() {
    return '<text><![CDATA['.@$this->data['text'].']]></text>';
  }

  /**
  * Get parsed teaser
  *
  * @access public
  * @return string
  */
  function getParsedTeaser() {
    return '<text><![CDATA['.@$this->data['text'].']]></text>';
  }
}
?>