<?php
/**
* nderungsmodul Linkverwaltung
*
* @package papaya_module_catalog
* @author Bodo Grassmann <grassmann@dimensional.de>
* @version $Id: edmodule_linkdb.php,v 1.0 2004/11/9
*/

/**
* base class modules
*/
require_once(PAPAYA_INCLUDE_PATH.'system/base_module.php');

/**
* nderungsmodul catalog module
*
* @author Bodo Grassmann <grassmann@dimensional.de>
* @package papaya_module_catalog
*/
class edmodule_catalog extends base_module {

  /**
  * permissions
  *
  * @var array
  */
  var $permissions = array(
    1 => 'Manage',
    2 => 'Manage Types',
  );


  /**
  * Function for execute module
  *
  * @access public
  */
  function execModule() {
    if ($this->hasPerm(1, TRUE)) {
      $path = dirname(__FILE__);
      include_once($path.'/admin_catalog.php');
      $catalogDatabase = &new admin_catalog;
      $catalogDatabase->module = &$this;
      $catalogDatabase->images = &$this->images;
      $catalogDatabase->msgs = &$this->msgs;
      $catalogDatabase->layout = &$this->layout;
      $catalogDatabase->authUser = &$this->authUser;
      $catalogDatabase->initialize();
      $catalogDatabase->execute();
      $catalogDatabase->getXML();
    }
  }
}
?>