<?php
/**
* Edit action boxes
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: boxes.php,v 1.2 2005/10/10 16:53:30 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE && ($PAPAYA_USER->hasPerm(13))) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE', _gt('Boxes'));

  include_once(PAPAYA_INCLUDE_PATH.'system/base_boxes.php');

  $boxes = &new base_boxes;
  $boxes->msgs = &$PAPAYA_MSG;
  $boxes->images = &$PAPAYA_IMAGES;
  $boxes->layout = &$PAPAYA_LAYOUT;
  $boxes->navObj = &$PAPAYA_NAVIGATION;
  $boxes->authUser = &$PAPAYA_USER;

  $boxes->initialize();
  $boxes->execute();
  $boxes->getXML();


}


$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();
?>