<?php
/**
* Glyphs fr Buttons
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: inc.glyphs.php,v 1.25 2006/04/11 08:51:36 rekowski Exp $
*/

$PAPAYA_IMAGES = array(
  0 => 'tpoint.gif', //nix
  1 => 'lock.gif', //eigene Zugriffsrechte
  2 => 'locksmall.gif', //bernommene Zugriffsrechte
  3 => 'filewheel.gif', //Modul
  4 => 'viewfile.gif', //Ansicht
  5 => 'boxes.gif', //Boxen
  6 => 'arr_up.gif', //Pfeil nach oben
  7 => 'arr_down.gif', //Pfeil nach unten
  8 => 'arr_left.gif', //Pfeil nach rechts
  9 => 'arr_right.gif', //Pfeil nach links
  10 => 'trash.gif', //Mlleimer
  11 => 'pin.gif', //Pin
  12 => 'alias.gif', //Alias
  13 => 'aliasplus.gif', //Alias dazu
  14 => 'pen.gif', // Stift (Editieren)
  15 => 'editfile.gif', //Seite angelegt
  16 => 'world.gif', //Seite verffenlicht
  17 => 'locks.gif', //zustzliche Zugriffsrechte
  18 => 'copyfile.gif', //Seite kopieren
  19 => 'movefile.gif', //Seite verschieben
  20 => 'cursor.gif', //Mauscursor
  21 => 'filexsl.gif', //XSL-Stylesheet
  22 => 'boxmodule.gif', //Box-Modul
  23 => 'users.gif', //Benutzergruppen
  24 => 'user.gif', //Benutzer
  25 => 'keys.gif', //Rechte
  26 => 'key.gif', //ein Recht
  27 => 'checked.gif', //Aktivierte Checkbox
  28 => 'notchecked.gif', //Deaktivierte Checkbox
  29 => 'checked_gray.gif', //Aktivierte Checkbox grau
  30 => 'notchecked_gray.gif', //Deaktivierte Checkbox grau
  31 => 'imagefile.gif', //Bilddatei
  32 => 'flashfile.gif', //Flashdatei
  33 => 'unknownfile.gif', //Unbekannte Datei
  34 => 'day.gif', //Tag
  35 => 'day_gray.gif', //Tag grau
  36 => 'userplus.gif', //Benutzer dazu
  37 => 'keyplus.gif', //Recht dazu
  38 => 'reload.gif', //Aktualisieren
  39 => 'folderlinks.gif', //Order fr Links
  40 => 'link.gif', //Link
  41 => 'blankfile.gif', //Leere Datei
  42 => 'worldlinks.gif', //Weltkugel verlinkt
  43 => 'eye.gif', //Auge
  44 => 'properties.gif', //Eigenschaften
  45 => 'texteditfile.gif', //Inhalt bearbeiten
  46 => 'recycle.gif', //Wiederherstellen
  47 => 'recycled.gif', //Wiederhergestellt
  48 => 'worldwheel.gif', //Verffentlicht und Gendert
  49 => 'options.gif', //Optionen-Gruppierung
  50 => 'option.gif', //Einzelne Option
  51 => 'boxgroups.gif', //Boxgruppe
  52 => 'box_created.gif', //Box erzeugt
  53 => 'box_modified.gif', //Box gendert
  54 => 'opennodes.gif', //Knoten ffnen
  55 => 'desktop.gif', //Schreibtisch
  56 => 'folder.gif', //Ordner
  57 => 'folder_open.gif', //offener Ordner
  58 => 'scanhdd.gif', //Festplatte durchsuchen
  59 => 'folder_new.gif', //Neuer Ordner
  60 => 'paste.gif', //Einfgen aus Zwischenablage
  61 => 'cut.gif', //Ausschneiden in Zwischenablage
  62 => 'folder_up.gif', //Ordner nach oben
  63 => 'information.gif', //Ordner nach oben
  64 => 'warning.gif', //Ordner nach oben
  65 => 'error.gif', //Ordner nach oben
  66 => 'usersplus.gif', //Benuztergruppe dazu
  67 => 'wheelfolder.gif', //Modulegruppe
  68 => 'alarmclock.gif', //Cronjob aktiv
  69 => 'alarmclock_off.gif', //Cronjob inaktiv
  70 => 'fileplus.gif', //Neues Element hinzufgen
  71 => 'calendar.gif', //Kalender
  72 => 'datetime.gif', //Datum + Zeit
  73 => 'insptree.gif', //Baum untersuchen
  74 => 'timetable.gif', //Zeittabelle
  75 => 'filehouse.gif', //Firma (Huschen)
  76 => 'houses.gif', //Firmen (Huschen)
  77 => 'groups.gif', //Gruppen
  78 => 'node_empty.gif', //Leerer Knoten
  79 => 'floppy.gif', //Diskette
  80 => 'msg.gif', //Nachricht
  81 => 'msgopen.gif', //geffnete Nachricht
  82 => 'msgnew.gif', //neue Nachricht
  83 => 'msgbox.gif', //Nachrichtenverw.
  84 => 'prio_high.gif', //hhere Prioritt
  85 => 'prio_highest.gif', //hchste Prioritt
  86 => 'mail_answer.gif', //Nachricht - Anworten
  87 => 'mail_forward.gif', //Nachricht - Weiterleiten
  88 => 'msgbox_in.gif', //Posteingang - klein
  89 => 'msgbox_out.gif', //Postausgang - klein
  90 => 'mail_addradd.gif', //Addresse zu Mail hinzufgen
  91 => 'mail_addrdel.gif', //Addresse von Mail lschen
  92 => 'worldfile.gif', //Datei mit Weltkugel
  93 => 'subfileplus.gif', //Untergeordnete Seite dazu
  94 => 'textfile.gif', //Textdatei
  95 => 'table.gif', //Tabelle
  96 => 'todisk.gif', //Diskette mit Pfeil nach unten
  97 => 'statistic.gif', //Statistik nach oben gerichtet
  98 => 'log.gif', // Protokoll
  99 => 'user_disabled.gif', // User disabled
  100 => 'projects.gif', // Projects
  101 => 'hammer.gif', // Hammer
  102 => 'fromdisk.gif', // From Disk
  103 => 'tree.gif', // Tree
  104 => 'colplus.gif', // add table column
  105 => 'colminus.gif', // del table column
  106 => 'rowplus.gif', // add table row
  107 => 'rowminus.gif', // del table row
  108 => 'pen_sel.gif', // edit selected
  109 => 'texteditfile_sel.gif', // edit file selected
  110 => 'plus.gif', // general add
  111 => 'minus.gif', // general delete/remove
  112 => 'node_close.gif', // closed node
  113 => 'node_open.gif', // open node
  114 => 'node_empty.gif', // empty node
  115 => 'textfile_delete.gif', // Inhalt loeschen
  116 => 'quote.gif', // quote mark
  117 => 'boxplus.gif', // boxplus
  118 => 'books.gif', // books
  119 => 'bookadd.gif', // add book
  120 => 'bookdel.gif', // delete book
  121 => 'bookedit.gif', // edit book
  122 => 'viewmail.gif', // view e-mail
  123 => 'ball_red.gif', // overdue
  124 => 'ball_orange.gif', // urgent
  125 => 'ball_green.gif', // normal
  126 => 'file_forward.gif', // forward file / entry
  127 => 'file_edit.gif', // edit file / entry
  128 => 'synonym.gif', // synonym
  129 => 'del_synonym.gif', // delete synonym
  130 => 'todolist.gif', // todo list
  131 => 'tags.gif', // reference tags
  132 => 'tag_add.gif', // add reference tag
  133 => 'tag_del.gif', // del reference tag
  134 => 'source_add.gif', // add reference source
  135 => 'source_del.gif', // del reference source
  136 => 'reference_add.gif', // add reference
  137 => 'reference_edit.gif', // edit reference
  138 => 'reference_del.gif', // del reference
  139 => 'reference_valid.gif', // valid reference - deprecated, not in use
  140 => 'imagegenerate.gif', // todo list
  141 => 'tag_edit.gif', // edit reference tag
  142 => 'source_edit.gif', // edit reference source
  143 => 'filter.gif', // filter
  144 => 'tree_add.gif', // edit tree or list
  145 => 'tree_edit.gif', // edit tree or list
  146 => 'tree_delete.gif', // edit tree or list
  147 => 'sort_asc.gif', // sort ascending
  148 => 'sort_desc.gif', // sort descending
  149 => 'option_del.gif', // delete option
  150 => 'sort_none.gif', // unsorted
  151 => 'worldhand.gif', // freigabe/bergabe zur verffentlichung durch anderen user
  152 => 'sync.gif', // sync of data
  153 => 'fileplus_before.gif', // add file/item before current/selected
  154 => 'page_navigation.gif', // navigation page
  155 => 'page_content.gif', // content page
  156 => 'onthefly.gif', // is generated on the fly
  157 => 'from_cache.gif', // comes from cache
);
?>
