<?php
/**
* Embedrichtext controls - javascript
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: js.controls.php,v 1.4 2006/04/26 10:41:44 christmann Exp $
*/

/**
* Do not show database errors
*/
define('PAPAYA_DBG_DATABASE_ERROR', '0');

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE) {
  header('Content-type: text/javascript');
?>
var scriptBasePath = '<?php echo $PAPAYA_OPTIONS->getAbsoluteUrl(PAPAYA_PATHWEB_ADMIN); ?>script/';

function initializePapayaControls() {
  var tas = document.getElementsByTagName("input");
  for (var i = tas.length-1; i >= 0; i--) {
    if (tas[i].className.search(/(^|\s)dialogImage(\s|$)/) >= 0)  {
      var popupInput = new papayaPopupInput(tas[i], 'image');
    } else if (tas[i].className.search(/(^|\s)dialogFixedImage(\s|$)/) >= 0)  {
      var popupInput = new papayaPopupInput(tas[i], 'imageFixed');
    } else if (tas[i].className.search(/(^|\s)dialogPageId(\s|$)/) >= 0)  {
      var popupInput = new papayaPopupInput(tas[i], 'pageId');
    } else if (tas[i].className.search(/(^|\s)dialogInputDate(\s|$)/) >= 0)  {
      var popupInput = new papayaPopupInput(tas[i], 'date');
    } else if (tas[i].className.search(/(^|\s)dialogInputColor(\s|$)/) >= 0)  {
      var popupInput = new papayaPopupInput(tas[i], 'color');
    } else if (tas[i].className.search(/(^|\s)dialogMediaFile(\s|$)/) >= 0)  {
      var popupInput = new papayaPopupInput(tas[i], 'mediaFile');
    }
  }
}
<?php
  }
?>
