<?php
/**
* Configuration
* @module papaya-admin
* @author Thomas Weinert <weinert@papaya-cms.de>
* @version $Id: options.php,v 1.1.1.1 2005/09/30 15:51:03 weinert Exp $
*/

/**
* Authentication
*/
require_once("./inc.auth.php");

if ($PAPAYA_SHOW_ADMIN_PAGE && $PAPAYA_USER->hasPerm(25)) {
  initNavigation();
  $PAPAYA_LAYOUT->setParam('PAGE_TITLE',  _gt('Configuration'));

  $PAPAYA_OPTIONS->msgs = &$PAPAYA_MSG;
  $PAPAYA_OPTIONS->layout = &$PAPAYA_LAYOUT;
  $PAPAYA_OPTIONS->images = &$PAPAYA_IMAGES;
  $PAPAYA_OPTIONS->authUser = &$PAPAYA_USER;

  $PAPAYA_OPTIONS->initialize();
  $PAPAYA_OPTIONS->execute();
  $PAPAYA_OPTIONS->getXML();

}
$PAPAYA_LAYOUT->add($PAPAYA_MSG->get(), 'messages');
print $PAPAYA_LAYOUT->xhtml();

?>