RewriteEngine On

#remove session id
RewriteRule ^/?sid[a-z]*([a-zA-Z0-9,-]{32}|[a-zA-Z0-9,-]{40})(/.*) $2 [QSA]

#admin pages
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^/?{%webpath_pages%}papaya/module\_([a-z\_]+)\.[a-z]{3,4} /{%webpath_pages%}papaya/module.php?p_module=$1 [QSA,L]

#output pages + media files
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^/?{%webpath_pages%}[a-zA-Z0-9_-]+((\.[0-9]+)?\.[0-9]+)((\.[a-z]{2,5})?\.[a-z]+)((\.[0-9]+)?.preview)? /{%webpath_pages%}index.php [QSA,L]
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^/?{%webpath_pages%}index((\.[a-z]{2,5})?\.[a-z]+)((\.[0-9]+)?.preview)? /{%webpath_pages%}index.php [QSA,L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^/?{%webpath_pages%}[a-zA-Z0-9_-]+\.(media|thumb|download|popup|image)(\.(preview))?((\.([a-zA-Z0-9_]+))?(\.[a-zA-Z0-9_]+))  /{%webpath_pages%}index.php [QSA,L]

ErrorDocument 404 /{%webpath_pages%}index.php